from math import gcd
def find_path(a, b):
    if a <= 0 or b <= 0:
        return 0
    g = gcd(a,b)
    a //= g
    b //= g
    path = ""
    while a != 1 or b != 1:
        if a > b:
            path += "R"
            a -= b
        else:
            path += "L"
            b -= a
    return "R" + path
a, b = map(int, input().split())
print(find_path(a, b))